> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Set a member's board-only access

> Limit a direct project member to some boards ('edit' or 'view') and agents, or lift it with `access: null`
(boardMember.logic). Organisation members cannot be limited; nobody limits themselves.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json put /projects/users/{userId}/access
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /projects/users/{userId}/access:
    put:
      tags:
        - Project
      summary: Set a member's board-only access
      description: >-
        Limit a direct project member to some boards ('edit' or 'view') and
        agents, or lift it with `access: null`

        (boardMember.logic). Organisation members cannot be limited; nobody
        limits themselves.
      operationId: UpdateUserAccess
      parameters:
        - in: path
          name: userId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                access: {}
              required:
                - access
              type: object
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                properties:
                  access:
                    $ref: '#/components/schemas/MemberAccess'
                  userId:
                    type: string
                required:
                  - access
                  - userId
                type: object
      security:
        - jwt: []
components:
  schemas:
    MemberAccess:
      properties:
        boards:
          items:
            properties:
              role:
                $ref: '#/components/schemas/BoardRole'
              type:
                type: string
            required:
              - role
              - type
            type: object
          type: array
        agents:
          items:
            type: string
          type: array
      required:
        - boards
        - agents
      type: object
      additionalProperties: false
    BoardRole:
      type: string
      enum:
        - edit
        - view
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.